LINOTP-MIGRATE(1)

NAME
linotp-migrate - script to migrate LinOTP 1.0 to LinOTP 2.x

SYNOPSIS
linotp-migrate [--ldap=<URI>] [--binddn=<binddn>] [--filter=<UserFilter>] [--linotp2=<URL of LinOTP2>] [--admin=<admin user>] [--loginattr=<Attribute>]

DESCRIPTION
This tool is used to migrate token data from LinOTP 1.0 to a LinOTP 2.x installation. The LinOTP2 UserIdResolver needs to be set up and running. It needs to be configured to the default realm.

COMMON OPTIONS

--ldap=<URI>
    This is the LDAP URI of the LinOTP 1.0 installation.

--binddn=<binddn>
    This is the BINDDN of the user connecting to the LinOTP 1.0 installation. You will be asked for the password.

--filter=<UserFilter>
    This is the filter to find the users in the LinOTP 1.0 installation. This can be something like "cn=*,ou=users,dc=example,dc=com".

--linotp2=<URL>
    This is the URL of your LinOTP2 installation. This can be something like "https://linotpserver/"

--admin=<admin user>
    This is the username of a LinOTP 2 admin, who is allowed to create tokens. You are asked for a password.

--loginattr=<attribute>
    This is the Attribute in the LinOTP 1.0 installation that holds the attribute for the Loginname.

INTERNET SOURCES
https://www.linotp.org, https://www.keyidentity.com

SEE ALSO
linotpadm (1)

BUGS
No known bugs.

AUTHOR
KeyIdentity GmbH <linotp@keyidentity.com>